## ros-kinetic-cob-manipulation 0.7.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(cob_manipulation)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-kinetic-cob-manipulation (0.7.5-1xenial) xenial; urgency=high

  * Merge pull request #148 <https://github.com/ipa320/cob_manipulation/issues/148> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <fxm@ipa.fhg.de>  Wed, 02 Dec 2020 23:00:00 -0000

ros-kinetic-cob-manipulation (0.7.4-1xenial) xenial; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Tue, 17 Mar 2020 23:00:00 -0000

ros-kinetic-cob-manipulation (0.7.3-1xenial) xenial; urgency=high

  * Merge pull request #138 <https://github.com/ipa320/cob_manipulation/issues/138> from fmessmer/melodic_checks
    [Melodic] add melodic checks
  * CATKIN_IGNORE cob_pick_place_action
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <fxm@ipa.fhg.de>  Tue, 03 Dec 2019 23:00:00 -0000

ros-kinetic-cob-manipulation (0.7.2-1xenial) xenial; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 19 May 2019 22:00:00 -0000

ros-kinetic-cob-manipulation (0.7.1-1xenial) xenial; urgency=high

  * Merge pull request #134 <https://github.com/ipa320/cob_manipulation/issues/134> from ipa320/kinetic_release_candidate
    Kinetic release candidate
  * Merge pull request #132 <https://github.com/ipa320/cob_manipulation/issues/132> from ipa-fxm/kinetic_dev
    [kinetic] updates from indigo_dev
  * Merge branch 'indigo_dev' of github.com:ipa320/cob_manipulation into kinetic_dev
    Conflicts:
    .travis.yml
    cob_kinematics/ikfast/src/ikfast_lbr.cpp
    cob_kinematics/ikfast/src/ikfast_ur10.cpp
    cob_kinematics/ikfast/src/ikfast_ur5.cpp
    cob_kinematics/package.xml
    cob_kinematics/ros/bin/genikfast.py
    cob_kinematics/ros/src/ikfast_plugin.cpp
    cob_kinematics/ros/src/urdf_openrave.cpp
  * Merge pull request #124 <https://github.com/ipa320/cob_manipulation/issues/124> from ipa-fxm/update_maintainer
    update maintainer
  * update maintainer
  * Merge pull request #120 <https://github.com/ipa320/cob_manipulation/issues/120> from ipa-fxm/APACHE_license
    use license apache 2.0
  * updated author/maintainer
  * use license apache 2.0
  * Contributors: Felix Messmer, Mathias Lüdtke, Richard Bormann, ipa-fxm, ipa-uhr-mk

 -- Felix Messmer <fxm@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-kinetic-cob-manipulation (0.7.0-1xenial) xenial; urgency=high

  * merge with indigo_release_candidate
  * remove cob_kinematics
  * Contributors: Richard Bormann, ipa-fxm

 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 30 Jul 2017 22:00:00 -0000

ros-kinetic-cob-manipulation (0.6.5-1xenial) xenial; urgency=high

  * Revert "Adding chomp planning pipeline"
  * added exec_depend to chomp
  * remove obsolete packages due to unsupported robots
  * moved cob_moveit_config
  * new package cob_moveit_bringup
  * Contributors: Felix Messmer, fau-mjp, ipa-fxm

 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 30 Jul 2017 22:00:00 -0000

ros-kinetic-cob-manipulation (0.6.4-1xenial) xenial; urgency=high

  * update meta-package
  * Contributors: ipa-fxm

 -- Felix Messmer <fxm@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-kinetic-cob-manipulation (0.6.3-1xenial) xenial; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 30 Aug 2015 22:00:00 -0000

ros-kinetic-cob-manipulation (0.6.2-1xenial) xenial; urgency=high

  * migration to package format 2
  * remove trailing whitespaces
  * sort dependencies
  * review dependencies
  * Contributors: ipa-fxm

 -- Felix Messmer <fxm@ipa.fhg.de>  Fri, 28 Aug 2015 22:00:00 -0000

ros-kinetic-cob-manipulation (0.6.1-1xenial) xenial; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-kinetic-cob-manipulation (0.6.0-1xenial) xenial; urgency=high

  * Merge branch 'hydro_dev' into hydro_release_candidate
  * Merge branch 'hydro_dev' into hydro_release_candidate
  * 0.5.1
  * add changelogs
  * Contributors: Florian Weisshardt, ipa-fxm

 -- Felix Messmer <fxm@ipa.fhg.de>  Wed, 17 Sep 2014 22:00:00 -0000

ros-kinetic-cob-manipulation (0.5.2-1xenial) xenial; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Wed, 27 Aug 2014 22:00:00 -0000

ros-kinetic-cob-manipulation (0.5.1-1xenial) xenial; urgency=high

  * Merge branch 'hydro_dev' into hydro_release_candidate
  * update package maintainer
  * Merge branch 'hydro_dev' into hydro_release_candidate
  * catkin_lint and install tags
  * add changelogs
  * move cob_mmcontroller + groovy_updates
  * preliminary catkinization mmcontroller
  * catkinize cob_kinematics + use kdl instead of lookat-IK + update moveit_configs
  * catkinized
  * update package.xml
  * started catkinizing
  * Contributors: Florian Weisshardt, ipa-fxm

 -- Felix Messmer <fxm@ipa.fhg.de>  Tue, 25 Mar 2014 23:00:00 -0000

=== debian/control ===
Source: ros-kinetic-cob-manipulation
Section: misc
Priority: optional
Maintainer: Felix Messmer <fxm@ipa.fhg.de>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://ros.org/wiki/cob_manipulation/
Standards-Version: 3.9.2

Package: ros-kinetic-cob-manipulation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-cob-collision-monitor, ros-kinetic-cob-grasp-generation, ros-kinetic-cob-lookat-action, ros-kinetic-cob-moveit-bringup, ros-kinetic-cob-moveit-interface, ros-kinetic-cob-obstacle-distance-moveit
Description: The cob_manipulation stack includes packages that provide manipulation capabilities for Care-O-bot.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-cob-manipulation//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
